* {
    margin: 0; padding: 0; border: 0; box-sizing: border-box;
}

body {
    background-color: #B7E5CD;
    padding: 8px;
}

#main {
 margin: 20px 50px 20px 500px;
}

header {
    text-align: center;
    border: 4px solid #C1785A;
    background-color: #8ABEB9;
    color: #305669;
    padding: 8px;
    font-family: "Mate", serif;
   
}

h2 {
    text-align: center;
}


section.hero {
    min-height: 500px;
    background-image: url(../images/theknoll2.jpeg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: 50% 30%;
    position: relative;
    margin: 20px;
    
}

.hero_text {
    color: #fff;
    font-family: impact;
    font-size: 2em;
    padding: 10px;
    background-color: rgba(20,20,20,.7);
    position: absolute;
    top: 15px; left: -300px;
    letter-spacing: .10em;
    margin: 20px 350px;
    text-align: center;
}

section p {
    text-align: center;
}

section.hiking {
   margin: 20px auto;
   display: flex;
   flex-flow: row wrap;
   justify-content: space-evenly;
  
  
}

section.hiking div {
    flex: 0 0 20%; /*flex-grow, flex-shrink, and flex-basis in one */
    aspect-ratio: 1;
    position: relative;
    background-color: white;
    
}

.hiking img {
   width: 400px;
   height: 300px;
   display: block;
}

section.hiking div h1 {
    text-align: center;
    padding: 5px;
}

section.hiking p {
    padding: 5px;
    line-height: 1.5;
}


.flex-parent {
    border: 4px;
    min-height: 100px;
    display: flex; /* puts the div's(boxes) side by side and colapse together - has to be on the parent!! */
    margin: 75px 8px 32px 8px;
    text-align: center;

}

.flex-child {
    border: 4px solid purple;
    min-height: 80px;
    margin: 20px 20px 20px 20px; 
    flex-grow: 1; /* have to have the display: flex; on the parent for this to work */

}

nav {
     text-transform: uppercase;
      text-align: center;
      min-height: 10px;
      flex-basis: 50px;
      flex-grow: 1;
      display: flex;
      flex-flow: row wrap;
      justify-content: space-evenly;
      gap: 5px;
      padding: 10px 8px;
        
        
      }
      nav a {
        color: #305669;
        padding: 15px;
        text-decoration: none;
    
      }

      nav a:hover {
        background-color: #C1785A; 
        color: black;
        border: 2px solid black;
        padding: 0px;
      }

    footer {
    border-top: 4px solid #C1785A;
    margin-top: 600px;
    background-color: #8ABEB9;
    padding: 20px;
    text-align: center;
}


  section {
    padding: 10px;
}

section article {
    border: 2px solid black;
    max-width: 360px;
    min-height: 200px;
    margin: 10px;
    flex: 0 0 auto;
    padding: 4px; 
   
}

   
@media screen and (min-width:1020px) {

    .hiking img {
   width: 500px;
    }
  


}




